# Platform

interface Platform : Named

The platform or runtime that a binary is designed to run on. Examples: the JvmPlatform defines a java runtime, while the NativePlatform defines the Operating System and Architecture for a native app.

#### Inheritors

NativePlatform

## Functions

getDisplayName
Link copied to clipboard
@Internal
abstract fun getDisplayName(): String
Returns a human consumable name for this platform.
getName
Link copied to clipboard
@Input
abstract fun getName(): String